/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.blogger.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for BlogPerUserInfo.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Blogger API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class BlogPerUserInfo extends GenericJson {

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String blogId;

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String photosAlbumKey;

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String userId;

  /**

   * The value returned may be {@code null}.
   */
  public String getBlogId() {
    return blogId;
  }

  /**

   * The value set may be {@code null}.
   */
  public BlogPerUserInfo setBlogId(String blogId) {
    this.blogId = blogId;
    return this;
  }

  /**

   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**

   * The value set may be {@code null}.
   */
  public BlogPerUserInfo setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**

   * The value returned may be {@code null}.
   */
  public String getPhotosAlbumKey() {
    return photosAlbumKey;
  }

  /**

   * The value set may be {@code null}.
   */
  public BlogPerUserInfo setPhotosAlbumKey(String photosAlbumKey) {
    this.photosAlbumKey = photosAlbumKey;
    return this;
  }

  /**

   * The value returned may be {@code null}.
   */
  public String getUserId() {
    return userId;
  }

  /**

   * The value set may be {@code null}.
   */
  public BlogPerUserInfo setUserId(String userId) {
    this.userId = userId;
    return this;
  }

}
